Index: code/branches/network/TODO
===================================================================
--- code/branches/network/TODO	(revision 974)
+++ code/branches/network/TODO	(revision 977)
@@ -2,6 +2,6 @@
 
 network:
-	-handle variables of Spaceship (registerAllVariables)
-	-make NPC class synchronisable
-	-make Ambient class synchronisable
+	-handle variables of Spaceship (registerAllVariables) ------ wait for spaceship to be cleaned up
+	-make NPC class synchronisable ----- hopefully done
+	-make Ambient class synchronisable ----- hopefully done
 	-make Skybox class synchronisable ----- mostly done
Index: code/branches/network/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/network/src/orxonox/objects/Ambient.cc	(revision 974)
+++ code/branches/network/src/orxonox/objects/Ambient.cc	(revision 977)
@@ -51,4 +51,5 @@
     {
         RegisterObject(Ambient);
+        registerAllVariables();
     }
 
@@ -57,4 +58,14 @@
     }
 
+    bool Ambient::create(){
+      Orxonox::getSingleton()->getSceneManager()->setAmbientLight(ambientLight_);
+      return true;
+    }
+    
+    void Ambient::registerAllVariables(){
+      registerVar(&ambientLight_, sizeof(ColourValue), network::DATA);
+      
+    }
+    
     void Ambient::loadParams(TiXmlElement* xmlElem)
     {
@@ -76,5 +87,5 @@
    void Ambient::setAmbientLight(const ColourValue& colour)
    {
-    	Orxonox::getSingleton()->getSceneManager()->setAmbientLight(colour);
+      ambientLight_=colour;	
    }
 
@@ -90,4 +101,5 @@
 
         XMLPortParamLoadOnly(Ambient, "colourvalue", setAmbientLight, xmlelement, loading);
+        create();
     }
 }
Index: code/branches/network/src/orxonox/objects/Ambient.h
===================================================================
--- code/branches/network/src/orxonox/objects/Ambient.h	(revision 974)
+++ code/branches/network/src/orxonox/objects/Ambient.h	(revision 977)
@@ -5,8 +5,9 @@
 
 #include "core/BaseObject.h"
+#include "network/Synchronisable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Ambient : public BaseObject
+    class _OrxonoxExport Ambient : public BaseObject, network::Synchronisable
     {
         public:
@@ -17,7 +18,9 @@
             virtual void XMLPort(Element& xmlelement, bool loading);
             void setAmbientLight(const ColourValue& colour);
+            bool create();
+            void registerAllVariables();
 
         private:
-
+            ColourValue ambientLight_;
 
     };
Index: code/branches/network/src/orxonox/objects/NPC.cc
===================================================================
--- code/branches/network/src/orxonox/objects/NPC.cc	(revision 974)
+++ code/branches/network/src/orxonox/objects/NPC.cc	(revision 977)
@@ -39,4 +39,5 @@
     RegisterObject(NPC);
     movable_ = true;
+    registerAllVariables();
   }
 
@@ -58,4 +59,14 @@
     this->translate(location);
     movable_ = movable;
+  }
+  
+  void NPC::registerAllVariables(){
+    Model::registerAllVariables();
+    registerVar(&movable_, sizeof(movable_), network::DATA);
+  }
+  
+  bool NPC::create(){
+    Model::create();
+    return true;
   }
 
Index: code/branches/network/src/orxonox/objects/NPC.h
===================================================================
--- code/branches/network/src/orxonox/objects/NPC.h	(revision 974)
+++ code/branches/network/src/orxonox/objects/NPC.h	(revision 977)
@@ -26,4 +26,6 @@
       void update();
       void setValues(Vector3 location, Vector3 speed, Vector3 acceleration, bool movable);
+      void registerAllVariables();
+      bool create();
 
     private:
Index: code/branches/network/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/network/src/orxonox/objects/Skybox.cc	(revision 974)
+++ code/branches/network/src/orxonox/objects/Skybox.cc	(revision 977)
@@ -72,4 +72,8 @@
    }
 
+   void Skybox::setSkyboxSrc(std::string src){
+     skyboxSrc_ = src;
+   }
+   
     /**
         @brief XML loading and saving.
@@ -82,5 +86,6 @@
         BaseObject::XMLPort(xmlelement, loading);
 
-        XMLPortParamLoadOnly(Skybox, "src", setSkybox, xmlelement, loading);
+        XMLPortParamLoadOnly(Skybox, "src", setSkyboxSrc, xmlelement, loading);
+        create();
     }
     
Index: code/branches/network/src/orxonox/objects/Skybox.h
===================================================================
--- code/branches/network/src/orxonox/objects/Skybox.h	(revision 974)
+++ code/branches/network/src/orxonox/objects/Skybox.h	(revision 977)
@@ -23,4 +23,5 @@
             bool create();
             void registerAllVariables();
+            void setSkyboxSrc(std::string src);
 
         private:
Index: code/branches/network/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/network/src/orxonox/objects/WorldEntity.cc	(revision 974)
+++ code/branches/network/src/orxonox/objects/WorldEntity.cc	(revision 977)
@@ -190,4 +190,6 @@
 
         XMLPortObject(WorldEntity, WorldEntity, "attached", attachWorldEntity, getAttachedWorldEntity, xmlelement, loading);
+        
+        //create();
     }
 